summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJosh Gao <jmgao@google.com>2015-08-28 00:08:17 -0700
committerJosh Gao <jmgao@google.com>2015-08-28 00:08:17 -0700
commit756510dd40c7d32f925ea172a2ac819f760999f2 (patch)
tree1dd89dbee4b460a961f43859369fbc8804a7ef96
parenta0b348eb6ffedaff16b9eecdf86dcb630df41b08 (diff)
downloadgdb-756510dd40c7d32f925ea172a2ac819f760999f2.tar.gz
Dump gdb config.log to outputs directory upon failure.
Change-Id: Ie3c6e080bf8541fd745a40afb37fe2af8fd07f67
-rwxr-xr-xbuild-gdb.sh6
1 files changed, 5 insertions, 1 deletions
diff --git a/build-gdb.sh b/build-gdb.sh
index 43824dba1..334b3c73a 100755
--- a/build-gdb.sh
+++ b/build-gdb.sh
@@ -209,7 +209,11 @@ build_host_gdb ()
run "$SRCDIR"/configure $ARGS &&
run make -j$NUM_JOBS &&
run make -j$NUM_JOBS install
- fail_panic "Failed to configure/make/install gdb"
+
+ if [ $? -ne 0 ]; then
+ cp $BUILDDIR/config.log $PACKAGE_DIR/gdb_config.log
+ panic "Failed to configure/make/install gdb"
+ fi
}
need_build_host_gdb ()